> For the complete documentation index, see [llms.txt](https://docs.fstrk.io/knowledge_base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fstrk.io/knowledge_base/api/obshaya-informaciya/schyotchiki-ukorachivatelya.md).

# Счётчики укорачивателя

#### GET /api/partners/linkly/

🔒 *bot-key или OAuth*

**Кратко:** Получить список счётчиков укорачивателя ссылок в проекте.

**Параметры запроса:**

* `limit` (integer, опциональный), `offset` (integer, опциональный) — используется для пагинации результатов
* `is_system` (boolean, опциональный) — фильтр по системным счётчикам
* created\_at\_\_gte / created\_at\_\_lte (string, date-time) — диапазон дат создания

**Возвращает:** `200 OK` — список объектов `Linkly`.

<details>

<summary>Пример ответа</summary>

{% code overflow="wrap" %}

```json
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "sqid": "string",
      "name": "string",
      "description": "string",
      "created_at": "2026-06-10T09:19:21.336Z",
      "last_jumped_at": "2026-06-10T09:19:21.336Z",
      "total_urls": 0,
      "total_jumped": 0,
      "is_system": true
    }
  ]
}
```

{% endcode %}

</details>

**Ошибки:** 401 — ошибка авторизации.

**Пример запроса:**

bash

```bash
# Только пользовательские (несистемные) счётчики
curl -X GET "https://dashboard.fstrk.io/api/partners/linkly/?is_system=false&limit=50" \
  -H "bot-key: your_bot_key"
```

***

#### GET /api/partners/linkly/{sqid}/

🔒 *bot-key или OAuth*

**Кратко:** Получить детальную информацию по счётчику.

**Параметры пути:**

* `sqid` (string, обязательный) — идентификатор счётчика

**Возвращает:** `200 OK` — объект `Linkly`:&#x20;

`sqid` — идентификатор счётчика, \
`name` — название счетчика на платформе,\
`description` — описание к счетчику, \
`created_at` — дата и время создания счетчика, \
`last_jumped_at` — дата и время последнего перехода по ссылке счетчика, \
`total_urls` — количество укорачиваний ссылок счетчика, \
`total_jumped` — количество переходам по ссылкам счетчика, \
`is_system` — является ли счетчик системным.

<details>

<summary>Пример ответа:</summary>

{% code overflow="wrap" %}

```json
{
  "sqid": "string",
  "name": "string",
  "description": "string",
  "created_at": "2026-06-10T09:51:23.919Z",
  "last_jumped_at": "2026-06-10T09:51:23.919Z",
  "total_urls": 0,
  "total_jumped": 0,
  "is_system": true
}
```

{% endcode %}

</details>

**Ошибки:** 401 — ошибка авторизации; 404 — счётчик не найден.

**Пример запроса:**

bash

```bash
curl -X GET "https://dashboard.fstrk.io/api/partners/linkly/abc123/" \
  -H "bot-key: your_bot_key"
```

***

#### GET /api/partners/linkly/{sqid}/statistic/

🔒 *bot-key или OAuth*

**Кратко:** Получить дневную статистику переходов по счётчику.

**Параметры пути:**

* `sqid` (string, обязательный) — идентификатор счётчика

**Параметры запроса:**

* created\_at\_\_gte (string, date, **обязательный**) — начало периода `YYYY-MM-DD`
* created\_at\_\_lte (string, date, **обязательный**) — конец периода `YYYY-MM-DD`
* `limit` (integer, опциональный), `offset` (integer, опциональный)

**Возвращает:** `200 OK` — постраничный список объектов `LinklyStatistic`: `date`, `count`.

<details>

<summary>Пример ответа:</summary>

{% code overflow="wrap" %}

```json
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "date": "2026-06-10T09:34:29.551Z",
      "count": 0
    }
  ]
}
```

{% endcode %}

</details>

**Ошибки:** 400 — не указан обязательный параметр даты; 401 — ошибка авторизации; 404 — счётчик не найден.

**Пример запроса:**

bash

```bash
curl -X GET "https://dashboard.fstrk.io/api/partners/linkly/abc123/statistic/?created_at__gte=2024-09-01&created_at__lte=2024-09-30" \
  -H "bot-key: your_bot_key"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fstrk.io/knowledge_base/api/obshaya-informaciya/schyotchiki-ukorachivatelya.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
